Bug 1659197 - lxc-templates package missing dependencies declaration
Summary: lxc-templates package missing dependencies declaration
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 19:37 UTC by Fedor Ra
Modified: 2019-03-09 17:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-09 17:25:05 UTC


Attachments (Terms of Use)

Description Fedor Ra 2018-12-13 19:37:50 UTC
Description of problem:

/usr/share/lxc/templates/lxc-download from the lxc-templates package assumes the presence of the following tools, which are not declared as package dependencies:

tar
wget
gpg (optional?)

Version-Release number of selected component (if applicable):

lxc-templates-3.0.3-1.fc29.x86_64

How reproducible:

always

Steps to Reproduce:
1. install Fedora with minimal-environment package group
2. lxc-create -t download -n test

Actual results:

ERROR: Missing required tool: wget

Expected results:

expect a dialog with available images for download

Additional info:

Comment 1 Artur Iwicki 2019-03-05 13:57:33 UTC
A missing /usr/bin/gpg results in the following message:

ERROR: Missing recommended tool: gpg
You can workaround this by using --no-validate.

Comment 2 Thomas Moschny 2019-03-09 17:25:05 UTC
This is intentional. It is simply not feasible specifying all tools used by templates as dependencies. The templates will check existence of needed tools and error out early (or at least they should.)


Note You need to log in before you can comment on or make changes to this bug.